View Issue Details

IDProjectCategoryView StatusLast Update
0002128Far ManagerFile Systempublic2012-07-04 10:04
Reporterals1122Assigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86, x64OSWindowsOS Version XP, 7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002128: Невозможен просмотр папок содержащих больше 128 файлов на сетевой шаре
DescriptionПри попытке открыть/перечитать папку на сетевом хранилище (Intel® SS4000-E), содержащую больше 128 файлов, появляется сообщение:
"Ошибка. Неверный уровень системного вызова. Не удается прочесть содержимое папки."
После "ОК" список содержит 129 файлов, с которыми можно все... :)
Старые версии farmanager (Far20b1807 и ниже) работают с этим NAS без проблем.
Судя по-всему, имеет место быть специфика именно этого устройства, хотя на других подобных не проверялась (оно у нас единственное, остальные samba-ресурсы на базе Windows и Debian).
TagsNo tags attached.
Build2754

Activities

zg

2012-06-28 15:02

developer   bugnote:0009380

присылайте nas, посмотрим.

2useven10

2012-06-28 17:35

developer   bugnote:0009381

попробуйте найти сборку после которой баг появился
http://farmanager.com/nightly.php

als1122

2012-07-02 17:38

reporter   bugnote:0009382

Last edited: 2012-07-03 09:17

View 2 revisions

Из имеющихся сборок последняя работающая 2325 (2331 уже не читает), т.е. Far30b2325.x64.20111225.7z.
Еще заметил, что если в папке не очень много файлов (по кр.мере <1000), то в списке остается 126, собственно читать он оказывается не может больше 125 (не считая ".."), а дальше с увеличением числа файлов в списке остается все больше и больше:
16000 файлов в директории - 129 в списке
13700 файлов в директории - 128 в списке
(значения случайные, не краеугольные :))

DrKnS

2012-07-02 17:49

administrator   bugnote:0009385

Попробуйте обновить прошивку устройства.

2useven10

2012-07-02 21:18

developer   bugnote:0009386

попробуйте http://sharapov-16.narod.ru/0/far3-m2128.7z

als1122

2012-07-03 08:59

reporter   bugnote:0009387

Last edited: 2012-07-03 15:34

View 2 revisions

Прошивку мы обновили, сразу как приобрели, у старой было ограничение по размеру дисков. Она правда старая:
http://downloadcenter.intel.com/Detail_Desc.aspx?lang=eng&changeLang=true&DwnldId=16833
но с тех пор не менялась, хотя opensource.

als1122

2012-07-03 09:00

reporter   bugnote:0009388

Да, эта сборка http://sharapov-16.narod.ru/0/far3-m2128.7z работает ok.

2useven10

2012-07-03 12:07

developer   bugnote:0009389

2754 - обходим вероятный баг прошивки NAS

als1122

2012-07-04 08:56

reporter   bugnote:0009394

2754 все ок, работает.
Спасибо!

Issue History

Date Modified Username Field Change
2012-06-28 10:09 als1122 New Issue
2012-06-28 15:02 zg Note Added: 0009380
2012-06-28 17:35 2useven10 Note Added: 0009381
2012-07-02 17:38 als1122 Note Added: 0009382
2012-07-02 17:49 DrKnS Note Added: 0009385
2012-07-02 21:18 2useven10 Note Added: 0009386
2012-07-03 08:59 als1122 Note Added: 0009387
2012-07-03 09:00 als1122 Note Added: 0009388
2012-07-03 09:17 als1122 Note Edited: 0009382 View Revisions
2012-07-03 12:07 2useven10 Note Added: 0009389
2012-07-03 12:07 2useven10 Assigned To => 2useven10
2012-07-03 12:07 2useven10 Status new => feedback
2012-07-03 15:34 als1122 Note Edited: 0009387 View Revisions
2012-07-04 08:56 als1122 Note Added: 0009394
2012-07-04 08:56 als1122 Status feedback => assigned
2012-07-04 10:04 2useven10 Build => 2754
2012-07-04 10:04 2useven10 Status assigned => closed
2012-07-04 10:04 2useven10 Resolution open => fixed
2012-07-04 10:04 2useven10 Fixed in Version => 3.0